Lucene search

K
ibmIBMBD2428A25CDF59A301746E815BB63D51A58CED4A1661B99FD4945DA5FCFF3BF8
HistoryApr 20, 2022 - 2:05 p.m.

Security Bulletin: App Connect Professional is affected by GNU C Library vulnerability

2022-04-2014:05:04
www.ibm.com
21
app connect professional
gnu c library
stack-based buffer overflow
cve-2022-23219
vulnerability
fix
ibm
buffer overflow
execution
denial of service

EPSS

0.013

Percentile

85.9%

Summary

App Connect Professional have addressed the following vulnerability reported in GNU C Library.

Vulnerability Details

CVEID:CVE-2022-23219
**DESCRIPTION:**GNU C Library (aka glibc) is vulnerable to a stack-based buffer overflow, caused by improper bounds checking by the clnt_create function in the sunrpc module. By sending a specially-crafted hostname argument, a local attacker could overflow a buffer and execute arbitrary code or cause a denial of service on the system.
CVSS Base score: 8.4
CVSS Temporal Score: See: https://exchange.xforce.ibmcloud.com/vulnerabilities/217303 for the current score.
CVSS Vector: (CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)

Affected Products and Versions

Affected Product(s) Version(s)
App Connect Professional 7.5.4.0

Remediation/Fixes

Product VRMF APAR Remediation/First Fix
App Connect Professional 7.5.4.0 LI82583 7540 Fixcentral link

Workarounds and Mitigations

None